/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*
 * DataTableEntry.java
 *
 * Created on December 7, 2001, 2:47 PM
 */

package net.metadiversity.diversity.navigator.checklists.database;

/**
 *
 * @author  didi
 * @version 
 */
public final class DataTableEntry 
{
    public final static int   SERIAL  = 0;
    public final static int   STRING  = 1;
    public final static int   INT     = 2;
    public final static int   LONG    = 3;
    public final static int   BOOL    = 4;
    public final static int   DOUBLE  = 5;
    
    
    java.lang.String name;    
    int type;
    
    /** Creates new DataTableEntry */
    public DataTableEntry( java.lang.String name, int type ) 
    {
        this.name = name;
        this.type = type;
    }

    public java.lang.String getName() 
    {
        return name;        
    }
    public int getType()
    {
        return type;
    }
        
    public java.lang.String toString() 
    {
        return name;
    }
    
}
