/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*
 * ExternalNameID.java
 *
 * Created on 2. Juni 2004, 17:48
 */

package net.metadiversity.diversity.navigator.db.diversity_names_lias;

/**
 *
 * @author  didi
 */
public class ExternalNameID
{
    private long NameID;                // The ID of a name in DiversityPlantTaxonomy (foreign key + part of primary key: the name string associated with NameID may occur in multiple external databases).
    private byte ExternalDatabaseID;    // The ID of an external taxonomic data collection as defined in PlantNameExternalDatabase (foreign key + part of primary key).
    private long ExternalNameID;        // An ID number for a name as defined in the external database (foreign key to separate module).
    /*
    Index name:
    Attributes & index properties
    PrimaryKey:
    NameID; ExternalDatabaseID (Primary key; Unique values)
    Relation type:
    Fields involved
    Updates & deletions cascade
    ExternalNameDatabase.ExternalDatabaseID  ExternalNameID.ExternalDatabaseID
    Updates & deletions cascade
    TaxonomyName.NameID  ExternalNameID.NameID
    */    
    /** Creates a new instance of ExternalNameID */
    public ExternalNameID()
    {
    }
    
}
