/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class PgaQuery implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3258133539928421430L;

    /** identifier field */
    private String queryname;

    /** nullable persistent field */
    private String querytype;

    /** nullable persistent field */
    private String querycommand;

    /** nullable persistent field */
    private String querytables;

    /** nullable persistent field */
    private String querylinks;

    /** nullable persistent field */
    private String queryresults;

    /** nullable persistent field */
    private String querycomments;

    /** full constructor */
    public PgaQuery(String queryname, String querytype, String querycommand, String querytables, String querylinks, String queryresults, String querycomments) {
        this.queryname = queryname;
        this.querytype = querytype;
        this.querycommand = querycommand;
        this.querytables = querytables;
        this.querylinks = querylinks;
        this.queryresults = queryresults;
        this.querycomments = querycomments;
    }

    /** default constructor */
    public PgaQuery() {
    }

    /** minimal constructor */
    public PgaQuery(String queryname) {
        this.queryname = queryname;
    }

    public String getQueryname() {
        return this.queryname;
    }

    public void setQueryname(String queryname) {
        this.queryname = queryname;
    }

    public String getQuerytype() {
        return this.querytype;
    }

    public void setQuerytype(String querytype) {
        this.querytype = querytype;
    }

    public String getQuerycommand() {
        return this.querycommand;
    }

    public void setQuerycommand(String querycommand) {
        this.querycommand = querycommand;
    }

    public String getQuerytables() {
        return this.querytables;
    }

    public void setQuerytables(String querytables) {
        this.querytables = querytables;
    }

    public String getQuerylinks() {
        return this.querylinks;
    }

    public void setQuerylinks(String querylinks) {
        this.querylinks = querylinks;
    }

    public String getQueryresults() {
        return this.queryresults;
    }

    public void setQueryresults(String queryresults) {
        this.queryresults = queryresults;
    }

    public String getQuerycomments() {
        return this.querycomments;
    }

    public void setQuerycomments(String querycomments) {
        this.querycomments = querycomments;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("queryname", getQueryname())
            .toString();
    }

}
