/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class PgaReport implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3257570602876219705L;

    /** identifier field */
    private String reportname;

    /** nullable persistent field */
    private String reportsource;

    /** nullable persistent field */
    private String reportbody;

    /** nullable persistent field */
    private String reportprocs;

    /** nullable persistent field */
    private String reportoptions;

    /** full constructor */
    public PgaReport(String reportname, String reportsource, String reportbody, String reportprocs, String reportoptions) {
        this.reportname = reportname;
        this.reportsource = reportsource;
        this.reportbody = reportbody;
        this.reportprocs = reportprocs;
        this.reportoptions = reportoptions;
    }

    /** default constructor */
    public PgaReport() {
    }

    /** minimal constructor */
    public PgaReport(String reportname) {
        this.reportname = reportname;
    }

    public String getReportname() {
        return this.reportname;
    }

    public void setReportname(String reportname) {
        this.reportname = reportname;
    }

    public String getReportsource() {
        return this.reportsource;
    }

    public void setReportsource(String reportsource) {
        this.reportsource = reportsource;
    }

    public String getReportbody() {
        return this.reportbody;
    }

    public void setReportbody(String reportbody) {
        this.reportbody = reportbody;
    }

    public String getReportprocs() {
        return this.reportprocs;
    }

    public void setReportprocs(String reportprocs) {
        this.reportprocs = reportprocs;
    }

    public String getReportoptions() {
        return this.reportoptions;
    }

    public void setReportoptions(String reportoptions) {
        this.reportoptions = reportoptions;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("reportname", getReportname())
            .toString();
    }

}
